/* HEADER */
/* HEADER */
/* HEADER */

.header {
  position: fixed;
  z-index: 9999;
  width: 100%;
  display: flex;
  align-items: center;
  height: 8rem;
  background-color: var(--color-lightest);
}

.header-nav {
  width: 100%;
}

.header-nav-main-list {
  position: relative;
  display: flex;
  flex-direction: row;
  list-style: none;
  justify-content: space-between;
  align-items: center;
}

.header-nav-secondary-list {
  position: absolute;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: row;
  list-style: none;
  gap: 6rem;
}

.header-nav-secondary-list-item--link {
  font: var(--font--header-nav-links);
  color: var(--color-dark-gray);
}

.header-nav-main-list-item--link {
  color: var(--color-dark-gray);
}

.header-nav-logo {
  height: 2rem;
  width: auto;
  display: inline-block;
}

.nav-btn--black {
  display: inline-block;
  padding: 1rem 2rem;
  border-radius: 9999px;
  color: var(--color-lightest);
  background-color: var(--color-darkest-gray);
}

/* HERO SECTION */
/* HERO SECTION */
/* HERO SECTION */

.section--hero {
  padding-top: 8rem;
}

.section--hero-image-slider-container {
  position: relative;
  height: 90dvh;
  overflow: hidden;
}

.section--hero-slider-img {
  object-position: 28% 0%;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* CONTENT SECTION */
/* CONTENT SECTION */
/* CONTENT SECTION */

.section--content {
  background-color: var(--color-lightest);
}

.section--content-project-categories-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 2rem;
}

.section--content-project-category-image {
  height: 24.5rem;
  border-radius: 2rem;
  width: 100%;
  object-fit: cover;
  margin-bottom: 3rem;
}

/* PROJECTS SECTION */
/* PROJECTS SECTION */
/* PROJECTS SECTION */

.section--projects {
  padding-top: 6rem;
}

.section--projects-project-container--01 {
  display: grid;
  grid-template-columns: 30fr 4fr 4fr 30fr;
  grid-template-rows: 12fr 10fr 10fr;
  height: 68rem;
  background-color: var(--color-lightest);
  border-radius: 2rem;
  margin-bottom: 3rem;
}

.section--projects-project-container-image {
  object-position: 28% 0%;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* TYPE 01 */

.section--projects-project-container-title-block--01 {
  margin-left: 4rem;
  grid-column: 3/5;
  grid-row: 1/2;
}

.section--projects-project-container-image-container--01 {
  overflow: none;
  grid-column: 1/3;
  grid-row: 1/3;
  margin-bottom: 4rem;
}

.section--projects-project-container-image-container--02 {
  /* display: none; */
  grid-column: 2/-1;
  grid-row: 2/-1;
  z-index: 1;
}

.section--projects-project-container-body-text--01 {
  grid-column: 1/2;
  grid-row: 3/4;
  padding-right: 6rem;
}

/* TYPE 02 */

.section--projects-project-container-title-block--02 {
  grid-column: 1/2;
  grid-row: 1/2;
}

.section--projects-project-container-body-text--02 {
  margin-left: 4rem;
  grid-column: 3/-1;
  grid-row: 3/-1;
}

.section--projects-project-container-image-container--03 {
  /* display: none; */
  grid-column: 2/-1;
  grid-row: 1/3;
  margin-bottom: 4rem;
}

.section--projects-project-container-image-container--04 {
  /* display: none; */
  grid-column: 1/3;
  grid-row: 2/-1;
}

/* SECTION TEAM */
/* SECTION TEAM */
/* SECTION TEAM */

.section--team {
  display: flex;
  flex-direction: column;
  align-items: center;

  padding-left: 4rem;
  padding-right: 4rem;
  background-color: var(--color-lightest);
}

.section--team-people-container {
  display: flex;
  flex-direction: row;
  gap: 4rem;
}

.section--team-people-container-item-contact-info-text {
  font-size: 1.6rem;
  font-weight: 300;
  color: var(--color-mid-light-gray);
}

.section--team-people-container-item {
  max-width: 36rem;
}

.section--team-people-container-item-img {
  height: auto;
  width: 100%;
  object-fit: cover;
  margin-bottom: 1.2rem;
}

/* FOOTER */
/* FOOTER */
/* FOOTER */

.footer {
  width: 100%;
  display: flex;
  align-items: center;
  height: 8rem;
  background-color: var(--color-lightest);
}

.footer-nav {
  width: 100%;
}

.footer-nav-main-list {
  position: relative;
  display: flex;
  flex-direction: row;
  list-style: none;
  justify-content: space-between;
  align-items: center;
}

.footer-nav-secondary-list {
  position: absolute;
  transform: translate(-50%, -50%);
  display: flex;
  flex-direction: row;
  list-style: none;
  gap: 6rem;
}

.footer-nav-secondary-list-item--link {
  font: var(--font--header-nav-links);
  color: var(--color-dark-gray);
}

.footer-nav-main-list-item--link {
  color: var(--color-dark-gray);
}

.footer-nav-logo {
  height: 2rem;
  width: auto;
  display: inline-block;
}

.nav-btn--black {
  display: inline-block;
  padding: 1rem 2rem;
  border-radius: 9999px;
  color: var(--color-lightest);
  background-color: var(--color-darkest-gray);
}
.footer-icon-box {
  display: flex;
  align-items: center;
}

.footer-icon {
  height: 2.4rem;
  width: auto;
  transition: fill 0.2s ease-in-out;
}

.footer-icon:link,
.footer-icon:visited {
  fill: var(--color-dark-gray);
}

.footer-icon:hover,
.footer-icon:active {
  cursor: pointer;
  fill: #ff0000;
}

.nav-btn--black {
  transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out,
    box-shadow 0.2s ease-in-out;
}
.nav-btn--black:link,
.nav-btn--black:visited {
  background-color: var(--color-dark-gray);
}

.nav-btn--black:hover,
.nav-btn--black:active {
  cursor: pointer;
  background-color: transparent;
  color: black;
  box-shadow: inset 0 0 0 1px black;
}
